/*------------------------------------*\
  #MODULES
\*------------------------------------*/

@import "utils/_include-media.scss";
@import "_variables.scss";

@import "utils/_reset.scss";
@import "utils/_fonts.scss";
@import "utils/_mixins.scss";
@import "utils/_typography.scss";
@import "utils/_medias.scss";
@import "utils/_misc.scss";


/*------------------------------------*\
  #PARTIALS
\*------------------------------------*/


// @import "components/_buttons.scss";
@import "templates/_global.scss";
@import "templates/_header.scss";


/*------------------------------------*\
  #EXTERNAL
\*------------------------------------*/

// @import "external/_vendor.scss";



/*------------------------------------*\
  #BASE-STYLES
\*------------------------------------*/

html, body {
  margin: 0;
  padding: 0;
}


.body{
  @extend %font-body;
  background: $body-color;
  color: $base-color;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  ::-moz-selection { background-color: rgba($base-color, .2); color: $base-color; }
  ::selection { background-color: rgba($base-color, .2); color: $base-color; }
}



/*------------------------------------*\
  #PRINT
\*------------------------------------*/


@import "utils/_print-style.scss";
@media print {
  html {
    font-size: 14px;
  }
  @include print-style;
}
